diff --git a/python/mozbuild/mozbuild/test/configure/test_util.py b/python/mozbuild/mozbuild/test/configure/test_util.py
index 38b3c636e5..83111cb542 100644
--- a/python/mozbuild/mozbuild/test/configure/test_util.py
+++ b/python/mozbuild/mozbuild/test/configure/test_util.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import absolute_import, print_function, unicode_literals
 
 import logging
 import os
@@ -434,11 +433,11 @@ class TestLogSubprocessOutput(unittest.TestCase):
         except SystemExit as e:
             status = e.code
 
-        self.assertEquals(status, 0)
+        self.assertEqual(status, 0)
         quote_char = "'"
         if getpreferredencoding().lower() == 'utf-8':
-            quote_char = '\u00B4'.encode('utf-8')
-        self.assertEquals(out.getvalue().strip(), quote_char)
+            quote_char = '\u00B4'.encode()
+        self.assertEqual(out.getvalue().strip(), quote_char)
 
 
 class TestVersion(unittest.TestCase):
@@ -520,14 +519,14 @@ class TestCheckCmdOutput(unittest.TestCase):
         self.assertEqual(config, {})
         self.assertEqual(status, 1)
         self.assertEqual(out, textwrap.dedent('''\
-            DEBUG: Executing: `%s --error`
+            DEBUG: Executing: `{} --error`
             DEBUG: The command returned non-zero exit status 127.
             DEBUG: Its output was:
             DEBUG: | simple program output
             DEBUG: Its error output was:
             DEBUG: | simple program error output
-            ERROR: Command `%s --error` failed with exit status 127.
-        ''' % (prog_path, prog_path)))
+            ERROR: Command `{} --error` failed with exit status 127.
+        '''.format(prog_path, prog_path)))
 
     def test_error_callback(self):
         def mock_error_prog(_, args):
diff --git a/python/mozbuild/mozbuild/test/controller/test_ccachestats.py b/python/mozbuild/mozbuild/test/controller/test_ccachestats.py
index 7a6608ec8f..94d47cfba7 100644
--- a/python/mozbuild/mozbuild/test/controller/test_ccachestats.py
+++ b/python/mozbuild/mozbuild/test/controller/test_ccachestats.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals
 
 import unittest
 
diff --git a/python/mozbuild/mozbuild/test/controller/test_clobber.py b/python/mozbuild/mozbuild/test/controller/test_clobber.py
index 997f467ecd..129108c00f 100644
--- a/python/mozbuild/mozbuild/test/controller/test_clobber.py
+++ b/python/mozbuild/mozbuild/test/controller/test_clobber.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals
 
 import os
 import shutil
diff --git a/python/mozbuild/mozbuild/test/frontend/test_context.py b/python/mozbuild/mozbuild/test/frontend/test_context.py
index 070cfad670..c0c95a9050 100644
--- a/python/mozbuild/mozbuild/test/frontend/test_context.py
+++ b/python/mozbuild/mozbuild/test/frontend/test_context.py
@@ -36,7 +36,7 @@ class TestContext(unittest.TestCase):
             'baz': (dict, dict, ''),
         })
 
-        self.assertEqual(test.keys(), [])
+        self.assertEqual(list(test.keys()), [])
 
         self.assertEqual(test['foo'], 0)
 
@@ -84,12 +84,12 @@ class TestContext(unittest.TestCase):
             'baz': (dict, list, ''),
         })
 
-        self.assertEqual(test.keys(), [])
+        self.assertEqual(list(test.keys()), [])
 
         with self.assertRaises(ValueError):
             test.update(bar=True, foo={})
 
-        self.assertEqual(test.keys(), [])
+        self.assertEqual(list(test.keys()), [])
 
         test.update(bar=True, foo=1)
 
@@ -124,7 +124,7 @@ class TestContext(unittest.TestCase):
         # Adding the first source makes it the main and current path.
         self.assertEqual(test.main_path, foo)
         self.assertEqual(test.current_path, foo)
-        self.assertEqual(test.all_paths, set([foo]))
+        self.assertEqual(test.all_paths, {foo})
         self.assertEqual(test.source_stack, [foo])
 
         bar = os.path.abspath('bar')
@@ -133,7 +133,7 @@ class TestContext(unittest.TestCase):
         # Adding the second source makes leaves main and current paths alone.
         self.assertEqual(test.main_path, foo)
         self.assertEqual(test.current_path, foo)
-        self.assertEqual(test.all_paths, set([bar, foo]))
+        self.assertEqual(test.all_paths, {bar, foo})
         self.assertEqual(test.source_stack, [foo])
 
         qux = os.path.abspath('qux')
@@ -142,14 +142,14 @@ class TestContext(unittest.TestCase):
         # Pushing a source makes it the current path
         self.assertEqual(test.main_path, foo)
         self.assertEqual(test.current_path, qux)
-        self.assertEqual(test.all_paths, set([bar, foo, qux]))
+        self.assertEqual(test.all_paths, {bar, foo, qux})
         self.assertEqual(test.source_stack, [foo, qux])
 
         hoge = os.path.abspath('hoge')
         test.push_source(hoge)
         self.assertEqual(test.main_path, foo)
         self.assertEqual(test.current_path, hoge)
-        self.assertEqual(test.all_paths, set([bar, foo, hoge, qux]))
+        self.assertEqual(test.all_paths, {bar, foo, hoge, qux})
         self.assertEqual(test.source_stack, [foo, qux, hoge])
 
         fuga = os.path.abspath('fuga')
@@ -158,14 +158,14 @@ class TestContext(unittest.TestCase):
         test.add_source(fuga)
         self.assertEqual(test.main_path, foo)
         self.assertEqual(test.current_path, hoge)
-        self.assertEqual(test.all_paths, set([bar, foo, fuga, hoge, qux]))
+        self.assertEqual(test.all_paths, {bar, foo, fuga, hoge, qux})
         self.assertEqual(test.source_stack, [foo, qux, hoge])
 
         # Adding a source twice doesn't change anything
         test.add_source(qux)
         self.assertEqual(test.main_path, foo)
         self.assertEqual(test.current_path, hoge)
-        self.assertEqual(test.all_paths, set([bar, foo, fuga, hoge, qux]))
+        self.assertEqual(test.all_paths, {bar, foo, fuga, hoge, qux})
         self.assertEqual(test.source_stack, [foo, qux, hoge])
 
         last = test.pop_source()
@@ -174,14 +174,14 @@ class TestContext(unittest.TestCase):
         self.assertEqual(last, hoge)
         self.assertEqual(test.main_path, foo)
         self.assertEqual(test.current_path, qux)
-        self.assertEqual(test.all_paths, set([bar, foo, fuga, hoge, qux]))
+        self.assertEqual(test.all_paths, {bar, foo, fuga, hoge, qux})
         self.assertEqual(test.source_stack, [foo, qux])
 
         last = test.pop_source()
         self.assertEqual(last, qux)
         self.assertEqual(test.main_path, foo)
         self.assertEqual(test.current_path, foo)
-        self.assertEqual(test.all_paths, set([bar, foo, fuga, hoge, qux]))
+        self.assertEqual(test.all_paths, {bar, foo, fuga, hoge, qux})
         self.assertEqual(test.source_stack, [foo])
 
         # Popping the main path is allowed.
@@ -189,7 +189,7 @@ class TestContext(unittest.TestCase):
         self.assertEqual(last, foo)
         self.assertEqual(test.main_path, foo)
         self.assertIsNone(test.current_path)
-        self.assertEqual(test.all_paths, set([bar, foo, fuga, hoge, qux]))
+        self.assertEqual(test.all_paths, {bar, foo, fuga, hoge, qux})
         self.assertEqual(test.source_stack, [])
 
         # Popping past the main path asserts.
@@ -210,11 +210,11 @@ class TestContext(unittest.TestCase):
         self.assertEqual(last, foo)
         self.assertEqual(test.main_path, foo)
         self.assertEqual(test.current_path, foo)
-        self.assertEqual(test.all_paths, set([bar, foo]))
+        self.assertEqual(test.all_paths, {bar, foo})
         self.assertEqual(test.source_stack, [foo, bar, bar, foo])
 
     def test_context_dirs(self):
-        class Config(object): pass
+        class Config: pass
         config = Config()
         config.topsrcdir = mozpath.abspath(os.curdir)
         config.topobjdir = mozpath.abspath('obj')
@@ -277,7 +277,7 @@ class TestSymbols(unittest.TestCase):
 class TestPaths(unittest.TestCase):
     @classmethod
     def setUpClass(cls):
-        class Config(object): pass
+        class Config: pass
         cls.config = config = Config()
         config.topsrcdir = mozpath.abspath(os.curdir)
         config.topobjdir = mozpath.abspath('obj')
@@ -631,7 +631,7 @@ class TestPaths(unittest.TestCase):
 class TestTypedRecord(unittest.TestCase):
 
     def test_fields(self):
-        T = ContextDerivedTypedRecord(('field1', unicode),
+        T = ContextDerivedTypedRecord(('field1', str),
                                       ('field2', list))
         inst = T(None)
         self.assertEqual(inst.field1, '')
@@ -647,7 +647,7 @@ class TestTypedRecord(unittest.TestCase):
             inst.field3 = []
 
     def test_coercion(self):
-        T = ContextDerivedTypedRecord(('field1', unicode),
+        T = ContextDerivedTypedRecord(('field1', str),
                                       ('field2', list))
         inst = T(None)
         inst.field1 = 3
@@ -673,45 +673,45 @@ class TestFiles(unittest.TestCase):
     def test_single_bug_component(self):
         c = Context({})
         f = Files(c, pattern='**')
-        f['BUG_COMPONENT'] = (u'Product1', u'Component1')
+        f['BUG_COMPONENT'] = ('Product1', 'Component1')
 
         files = {'moz.build': f}
         self.assertEqual(Files.aggregate(files), {
-            'bug_component_counts': [((u'Product1', u'Component1'), 1)],
-            'recommended_bug_component': (u'Product1', u'Component1'),
+            'bug_component_counts': [(('Product1', 'Component1'), 1)],
+            'recommended_bug_component': ('Product1', 'Component1'),
         })
 
     def test_multiple_bug_components(self):
         c = Context({})
         f1 = Files(c, pattern='**')
-        f1['BUG_COMPONENT'] = (u'Product1', u'Component1')
+        f1['BUG_COMPONENT'] = ('Product1', 'Component1')
 
         f2 = Files(c, pattern='**')
-        f2['BUG_COMPONENT'] = (u'Product2', u'Component2')
+        f2['BUG_COMPONENT'] = ('Product2', 'Component2')
 
         files = {'a': f1, 'b': f2, 'c': f1}
         self.assertEqual(Files.aggregate(files), {
             'bug_component_counts': [
-                ((u'Product1', u'Component1'), 2),
-                ((u'Product2', u'Component2'), 1),
+                (('Product1', 'Component1'), 2),
+                (('Product2', 'Component2'), 1),
             ],
-            'recommended_bug_component': (u'Product1', u'Component1'),
+            'recommended_bug_component': ('Product1', 'Component1'),
         })
 
     def test_no_recommended_bug_component(self):
         """If there is no clear count winner, we don't recommend a bug component."""
         c = Context({})
         f1 = Files(c, pattern='**')
-        f1['BUG_COMPONENT'] = (u'Product1', u'Component1')
+        f1['BUG_COMPONENT'] = ('Product1', 'Component1')
 
         f2 = Files(c, pattern='**')
-        f2['BUG_COMPONENT'] = (u'Product2', u'Component2')
+        f2['BUG_COMPONENT'] = ('Product2', 'Component2')
 
         files = {'a': f1, 'b': f2}
         self.assertEqual(Files.aggregate(files), {
             'bug_component_counts': [
-                ((u'Product1', u'Component1'), 1),
-                ((u'Product2', u'Component2'), 1),
+                (('Product1', 'Component1'), 1),
+                (('Product2', 'Component2'), 1),
             ],
             'recommended_bug_component': None,
         })
diff --git a/python/mozbuild/mozbuild/test/frontend/test_emitter.py b/python/mozbuild/mozbuild/test/frontend/test_emitter.py
index e1e3fa5ce2..11bd3316b4 100644
--- a/python/mozbuild/mozbuild/test/frontend/test_emitter.py
+++ b/python/mozbuild/mozbuild/test/frontend/test_emitter.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals
 
 import os
 import unittest
@@ -125,8 +124,8 @@ class TestEmitterBasic(unittest.TestCase):
         for o in objs:
             self.assertIsInstance(o, DirectoryTraversal)
 
-        reldirs = set([o.relativedir for o in objs])
-        self.assertEqual(reldirs, set(['', 'regular']))
+        reldirs = {o.relativedir for o in objs}
+        self.assertEqual(reldirs, {'', 'regular'})
 
         for o in objs:
             reldir = o.relativedir
@@ -143,8 +142,8 @@ class TestEmitterBasic(unittest.TestCase):
         for o in objs:
             self.assertIsInstance(o, DirectoryTraversal)
 
-        reldirs = set([o.relativedir for o in objs])
-        self.assertEqual(reldirs, set(['', 'regular', 'test']))
+        reldirs = {o.relativedir for o in objs}
+        self.assertEqual(reldirs, {'', 'regular', 'test'})
 
         for o in objs:
             reldir = o.relativedir
@@ -204,7 +203,7 @@ class TestEmitterBasic(unittest.TestCase):
     def test_use_yasm(self):
         # When yasm is not available, this should raise.
         reader = self.reader('use-yasm')
-        with self.assertRaisesRegexp(SandboxValidationError,
+        with self.assertRaisesRegex(SandboxValidationError,
             'yasm is not available'):
             self.read_topsrcdir(reader)
 
@@ -267,25 +266,25 @@ class TestEmitterBasic(unittest.TestCase):
         o = objs[0]
         self.assertIsInstance(o, GeneratedFile)
         self.assertEqual(o.outputs, ('bar.c',))
-        self.assertRegexpMatches(o.script, 'script.py$')
+        self.assertRegex(o.script, 'script.py$')
         self.assertEqual(o.method, 'make_bar')
         self.assertEqual(o.inputs, [])
 
     def test_generated_files_no_script(self):
         reader = self.reader('generated-files-no-script')
-        with self.assertRaisesRegexp(SandboxValidationError,
+        with self.assertRaisesRegex(SandboxValidationError,
             'Script for generating bar.c does not exist'):
             self.read_topsrcdir(reader)
 
     def test_generated_files_no_inputs(self):
         reader = self.reader('generated-files-no-inputs')
-        with self.assertRaisesRegexp(SandboxValidationError,
+        with self.assertRaisesRegex(SandboxValidationError,
             'Input for generating foo.c does not exist'):
             self.read_topsrcdir(reader)
 
     def test_generated_files_no_python_script(self):
         reader = self.reader('generated-files-no-python-script')
-        with self.assertRaisesRegexp(SandboxValidationError,
+        with self.assertRaisesRegex(SandboxValidationError,
             'Script for generating bar.c does not end in .py'):
             self.read_topsrcdir(reader)
 
@@ -314,7 +313,7 @@ class TestEmitterBasic(unittest.TestCase):
         Missing files in EXPORTS is an error.
         '''
         reader = self.reader('exports-missing')
-        with self.assertRaisesRegexp(SandboxValidationError,
+        with self.assertRaisesRegex(SandboxValidationError,
              'File listed in EXPORTS does not exist:'):
             self.read_topsrcdir(reader)
 
@@ -323,7 +322,7 @@ class TestEmitterBasic(unittest.TestCase):
         An objdir file in EXPORTS that is not in GENERATED_FILES is an error.
         '''
         reader = self.reader('exports-missing-generated')
-        with self.assertRaisesRegexp(SandboxValidationError,
+        with self.assertRaisesRegex(SandboxValidationError,
              'Objdir file listed in EXPORTS not in GENERATED_FILES:'):
             self.read_topsrcdir(reader)
 
@@ -360,7 +359,7 @@ class TestEmitterBasic(unittest.TestCase):
 
     def test_test_harness_files_root(self):
         reader = self.reader('test-harness-files-root')
-        with self.assertRaisesRegexp(SandboxValidationError,
+        with self.assertRaisesRegex(SandboxValidationError,
             'Cannot install files to the root of TEST_HARNESS_FILES'):
             self.read_topsrcdir(reader)
 
@@ -413,14 +412,14 @@ class TestEmitterBasic(unittest.TestCase):
         """A missing manifest file should result in an error."""
         reader = self.reader('test-manifest-missing-manifest')
 
-        with self.assertRaisesRegexp(BuildReaderError, 'IOError: Missing files'):
+        with self.assertRaisesRegex(BuildReaderError, 'IOError: Missing files'):
             self.read_topsrcdir(reader)
 
     def test_empty_test_manifest_rejected(self):
         """A test manifest without any entries is rejected."""
         reader = self.reader('test-manifest-empty')
 
-        with self.assertRaisesRegexp(SandboxValidationError, 'Empty test manifest'):
+        with self.assertRaisesRegex(SandboxValidationError, 'Empty test manifest'):
             self.read_topsrcdir(reader)
 
 
@@ -428,7 +427,7 @@ class TestEmitterBasic(unittest.TestCase):
         """A test manifest with no tests but support-files is not supported."""
         reader = self.reader('test-manifest-just-support')
 
-        with self.assertRaisesRegexp(SandboxValidationError, 'Empty test manifest'):
+        with self.assertRaisesRegex(SandboxValidationError, 'Empty test manifest'):
             self.read_topsrcdir(reader)
 
     def test_test_manifest_dupe_support_files(self):
@@ -437,7 +436,7 @@ class TestEmitterBasic(unittest.TestCase):
         """
         reader = self.reader('test-manifest-dupes')
 
-        with self.assertRaisesRegexp(SandboxValidationError, 'bar.js appears multiple times '
+        with self.assertRaisesRegex(SandboxValidationError, 'bar.js appears multiple times '
             'in a test manifest under a support-files field, please omit the duplicate entry.'):
             self.read_topsrcdir(reader)
 
@@ -481,7 +480,7 @@ class TestEmitterBasic(unittest.TestCase):
         """A non-existent shared support file reference produces an error."""
         reader = self.reader('test-manifest-shared-missing')
 
-        with self.assertRaisesRegexp(SandboxValidationError,
+        with self.assertRaisesRegex(SandboxValidationError,
                                      'entry in support-files not present in the srcdir'):
             self.read_topsrcdir(reader)
 
@@ -541,7 +540,7 @@ class TestEmitterBasic(unittest.TestCase):
     def test_python_unit_test_missing(self):
         """Missing files in PYTHON_UNIT_TESTS should raise."""
         reader = self.reader('test-python-unit-test-missing')
-        with self.assertRaisesRegexp(SandboxValidationError,
+        with self.assertRaisesRegex(SandboxValidationError,
             'Path specified in PYTHON_UNIT_TESTS does not exist:'):
             self.read_topsrcdir(reader)
 
@@ -630,8 +629,8 @@ class TestEmitterBasic(unittest.TestCase):
             self.assertEqual(o.flavor, m['flavor'])
             self.assertEqual(o.dupe_manifest, m.get('dupe', False))
 
-            external_normalized = set(mozpath.basename(p) for p in
-                    o.external_installs)
+            external_normalized = {mozpath.basename(p) for p in
+                    o.external_installs}
             self.assertEqual(external_normalized, m.get('external', set()))
 
             self.assertEqual(len(o.installs), len(m['installs']))
@@ -648,7 +647,7 @@ class TestEmitterBasic(unittest.TestCase):
     def test_test_manifest_unmatched_generated(self):
         reader = self.reader('test-manifest-unmatched-generated')
 
-        with self.assertRaisesRegexp(SandboxValidationError,
+        with self.assertRaisesRegex(SandboxValidationError,
             'entry in generated-files not present elsewhere'):
             self.read_topsrcdir(reader),
 
@@ -672,7 +671,7 @@ class TestEmitterBasic(unittest.TestCase):
         """Missing test files should result in error."""
         reader = self.reader('test-manifest-missing-test-file')
 
-        with self.assertRaisesRegexp(SandboxValidationError,
+        with self.assertRaisesRegex(SandboxValidationError,
             'lists test that does not exist: test_missing.html'):
             self.read_topsrcdir(reader)
 
@@ -680,7 +679,7 @@ class TestEmitterBasic(unittest.TestCase):
         """Missing test files should result in error, even when the test list is not filtered."""
         reader = self.reader('test-manifest-missing-test-file-unfiltered')
 
-        with self.assertRaisesRegexp(SandboxValidationError,
+        with self.assertRaisesRegex(SandboxValidationError,
             'lists test that does not exist: missing.js'):
             self.read_topsrcdir(reader)
 
@@ -692,9 +691,9 @@ class TestEmitterBasic(unittest.TestCase):
         nonstatic_ipdls = []
         for o in objs:
             if isinstance(o, IPDLFile):
-                ipdls.append('%s/%s' % (o.relativedir, o.basename))
+                ipdls.append('{}/{}'.format(o.relativedir, o.basename))
             elif isinstance(o, PreprocessedIPDLFile):
-                nonstatic_ipdls.append('%s/%s' % (o.relativedir, o.basename))
+                nonstatic_ipdls.append('{}/{}'.format(o.relativedir, o.basename))
 
         expected = [
             'bar/bar.ipdl',
@@ -802,20 +801,20 @@ class TestEmitterBasic(unittest.TestCase):
             self.assertIsInstance(obj.path, Path)
 
     def test_jar_manifests_multiple_files(self):
-        with self.assertRaisesRegexp(SandboxValidationError, 'limited to one value'):
+        with self.assertRaisesRegex(SandboxValidationError, 'limited to one value'):
             reader = self.reader('jar-manifests-multiple-files')
             self.read_topsrcdir(reader)
 
     def test_xpidl_module_no_sources(self):
         """XPIDL_MODULE without XPIDL_SOURCES should be rejected."""
-        with self.assertRaisesRegexp(SandboxValidationError, 'XPIDL_MODULE '
+        with self.assertRaisesRegex(SandboxValidationError, 'XPIDL_MODULE '
             'cannot be defined'):
             reader = self.reader('xpidl-module-no-sources')
             self.read_topsrcdir(reader)
 
     def test_missing_local_includes(self):
         """LOCAL_INCLUDES containing non-existent directories should be rejected."""
-        with self.assertRaisesRegexp(SandboxValidationError, 'Path specified in '
+        with self.assertRaisesRegex(SandboxValidationError, 'Path specified in '
             'LOCAL_INCLUDES does not exist'):
             reader = self.reader('missing-local-includes')
             self.read_topsrcdir(reader)
@@ -1013,11 +1012,11 @@ class TestEmitterBasic(unittest.TestCase):
 
             expected = {'install.rdf', 'main.js'}
             for f in files:
-                self.assertTrue(unicode(f) in expected)
+                self.assertTrue(str(f) in expected)
 
     def test_missing_final_target_pp_files(self):
         """Test that FINAL_TARGET_PP_FILES with missing files throws errors."""
-        with self.assertRaisesRegexp(SandboxValidationError, 'File listed in '
+        with self.assertRaisesRegex(SandboxValidationError, 'File listed in '
             'FINAL_TARGET_PP_FILES does not exist'):
             reader = self.reader('dist-files-missing')
             self.read_topsrcdir(reader)
@@ -1025,7 +1024,7 @@ class TestEmitterBasic(unittest.TestCase):
     def test_final_target_pp_files_non_srcdir(self):
         '''Test that non-srcdir paths in FINAL_TARGET_PP_FILES throws errors.'''
         reader = self.reader('final-target-pp-files-non-srcdir')
-        with self.assertRaisesRegexp(SandboxValidationError,
+        with self.assertRaisesRegex(SandboxValidationError,
              'Only source directory paths allowed in FINAL_TARGET_PP_FILES:'):
             self.read_topsrcdir(reader)
 
@@ -1043,7 +1042,7 @@ class TestEmitterBasic(unittest.TestCase):
             mozpath.join(reader.config.topobjdir, 'dir2'),
             '/dir3',
         ]
-        self.assertEquals([p.full_path for p in objs[0].paths], expected)
+        self.assertEqual([p.full_path for p in objs[0].paths], expected)
 
     def test_binary_components(self):
         """Test that IS_COMPONENT/NO_COMPONENTS_MANIFEST work properly."""
@@ -1099,7 +1098,7 @@ class TestEmitterBasic(unittest.TestCase):
         from GENERATED_FILES is an error.
         """
         reader = self.reader('test-symbols-file-objdir-missing-generated')
-        with self.assertRaisesRegexp(SandboxValidationError,
+        with self.assertRaisesRegex(SandboxValidationError,
              'Objdir file specified in SYMBOLS_FILE not in GENERATED_FILES:'):
             self.read_topsrcdir(reader)
 
diff --git a/python/mozbuild/mozbuild/test/frontend/test_namespaces.py b/python/mozbuild/mozbuild/test/frontend/test_namespaces.py
index 71cc634e1b..1280d53741 100644
--- a/python/mozbuild/mozbuild/test/frontend/test_namespaces.py
+++ b/python/mozbuild/mozbuild/test/frontend/test_namespaces.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals
 
 import unittest
 
@@ -22,14 +21,14 @@ from mozbuild.util import (
 )
 
 
-class Fuga(object):
+class Fuga:
     def __init__(self, value):
         self.value = value
 
 
 class Piyo(ContextDerivedValue):
     def __init__(self, context, value):
-        if not isinstance(value, unicode):
+        if not isinstance(value, str):
             raise ValueError
         self.context = context
         self.value = value
@@ -48,9 +47,9 @@ class Piyo(ContextDerivedValue):
 
 
 VARIABLES = {
-    'HOGE': (unicode, unicode, None),
-    'FUGA': (Fuga, unicode, None),
-    'PIYO': (Piyo, unicode, None),
+    'HOGE': (str, str, None),
+    'FUGA': (Fuga, str, None),
+    'PIYO': (Piyo, str, None),
     'HOGERA': (ContextDerivedTypedList(Piyo, StrictOrderingOnAppendList),
         list, None),
     'HOGEHOGE': (ContextDerivedTypedListWithItems(
@@ -104,7 +103,7 @@ class TestContext(unittest.TestCase):
         self.assertEqual(e[1], 'set_type')
         self.assertEqual(e[2], 'HOGE')
         self.assertEqual(e[3], True)
-        self.assertEqual(e[4], unicode)
+        self.assertEqual(e[4], str)
 
     def test_key_checking(self):
         # Checking for existence of a key should not populate the key if it
@@ -127,7 +126,7 @@ class TestContext(unittest.TestCase):
         self.assertEqual(e[1], 'set_type')
         self.assertEqual(e[2], 'FUGA')
         self.assertEqual(e[3], False)
-        self.assertEqual(e[4], unicode)
+        self.assertEqual(e[4], str)
 
         ns['FUGA'] = 'fuga'
         self.assertIsInstance(ns['FUGA'], Fuga)
@@ -150,7 +149,7 @@ class TestContext(unittest.TestCase):
         self.assertEqual(e[1], 'set_type')
         self.assertEqual(e[2], 'PIYO')
         self.assertEqual(e[3], False)
-        self.assertEqual(e[4], unicode)
+        self.assertEqual(e[4], str)
 
         ns['PIYO'] = 'piyo'
         self.assertIsInstance(ns['PIYO'], Piyo)
diff --git a/python/mozbuild/mozbuild/test/frontend/test_reader.py b/python/mozbuild/mozbuild/test/frontend/test_reader.py
index 7c2aed9dfc..690a84b771 100644
--- a/python/mozbuild/mozbuild/test/frontend/test_reader.py
+++ b/python/mozbuild/mozbuild/test/frontend/test_reader.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals
 
 import os
 import sys
@@ -21,10 +20,7 @@ from mozbuild.test.common import MockConfig
 import mozpack.path as mozpath
 
 
-if sys.version_info.major == 2:
-    text_type = 'unicode'
-else:
-    text_type = 'str'
+text_type = 'str'
 
 data_path = mozpath.abspath(mozpath.dirname(__file__))
 data_path = mozpath.join(data_path, 'data')
@@ -412,10 +408,10 @@ class TestBuildReader(unittest.TestCase):
         reader = self.reader('files-test-metadata')
 
         expected = {
-            'simple/src/module.jsm': set(['simple/tests/test_general.html',
-                                          'simple/browser/**.js']),
-            'simple/base.cpp': set(['simple/tests/*',
-                                    'default/tests/xpcshell/test_default_mod.js']),
+            'simple/src/module.jsm': {'simple/tests/test_general.html',
+                                          'simple/browser/**.js'},
+            'simple/base.cpp': {'simple/tests/*',
+                                    'default/tests/xpcshell/test_default_mod.js'},
         }
 
         v = reader.files_info([
@@ -434,8 +430,8 @@ class TestBuildReader(unittest.TestCase):
         ])
 
         expected = {
-            'default/module.js': set(['default/tests/xpcshell/**',
-                                      'default/tests/reftests/**']),
+            'default/module.js': {'default/tests/xpcshell/**',
+                                      'default/tests/reftests/**'},
         }
 
         for path, pattern_set in expected.items():
@@ -450,8 +446,8 @@ class TestBuildReader(unittest.TestCase):
         ])
 
         expected_patterns = {
-            'tagged/src/submodule/foo.js': set([]),
-            'tagged/src/bar.jsm': set(['tagged/**.js']),
+            'tagged/src/submodule/foo.js': set(),
+            'tagged/src/bar.jsm': {'tagged/**.js'},
         }
 
         for path, pattern_set in expected_patterns.items():
@@ -459,16 +455,16 @@ class TestBuildReader(unittest.TestCase):
                              expected_patterns[path])
 
         expected_tags = {
-            'tagged/src/submodule/foo.js': set(['submodule']),
-            'tagged/src/bar.jsm': set([]),
+            'tagged/src/submodule/foo.js': {'submodule'},
+            'tagged/src/bar.jsm': set(),
         }
         for path, pattern_set in expected_tags.items():
             self.assertEqual(v[path].test_tags,
                              expected_tags[path])
 
         expected_flavors = {
-            'tagged/src/bar.jsm': set(['browser-chrome']),
-            'tagged/src/submodule/foo.js': set([]),
+            'tagged/src/bar.jsm': {'browser-chrome'},
+            'tagged/src/submodule/foo.js': set(),
         }
         for path, pattern_set in expected_flavors.items():
             self.assertEqual(v[path].test_flavors,
